ReencryptionStatus (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: ReencryptionStatus

Package org.apache.hadoop.hdfs.protocol

# Class ReencryptionStatus

java.lang.Object
org.apache.hadoop.hdfs.protocol.ReencryptionStatus

@Private public final class ReencryptionStatus extends Object
A class representing information about re-encrypting encryption zones. It contains a collection of @{code ZoneReencryptionStatus} for each EZ.

FSDirectory lock is used for synchronization (except test-only methods, which are not protected).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.apache.hadoop.fs.BatchedRemoteIterator.BatchedListEntries<ZoneReencryptionStatus>`
  `EMPTY_LIST`
  `static final org.slf4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReencryptionStatus()`
  `ReencryptionStatus(ReencryptionStatus rhs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getNextUnprocessedZone()`
  `long`
  `getNumZonesReencrypted()`
  `ZoneReencryptionStatus`
  `getZoneStatus(Long zondId)`
  `NavigableMap<Long,ZoneReencryptionStatus>`
  `getZoneStatuses()`
  `boolean`
  `hasRunningZone(Long zoneId)`
  `void`
  `markZoneCompleted(Long zoneId)`
  `void`
  `markZoneForRetry(Long zoneId)`
  `void`
  `markZoneStarted(Long zoneId)`
  `boolean`
  `removeZone(Long zoneId)`
  `void`
  `resetMetrics()`
  `String`
  `toString()`
  `void`
  `updateZoneStatus(Long zoneId, String zonePath, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ReencryptionInfoProto reProto)`
  `int`
  `zonesQueued()`
  `int`
  `zonesTotal()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

  - ### EMPTY_LIST

    public static final org.apache.hadoop.fs.BatchedRemoteIterator.BatchedListEntries<ZoneReencryptionStatus> EMPTY_LIST

- ## Constructor Details

  - ### ReencryptionStatus

    public ReencryptionStatus()

  - ### ReencryptionStatus

    @VisibleForTesting public ReencryptionStatus(ReencryptionStatus rhs)

- ## Method Details

  - ### resetMetrics

    @VisibleForTesting public void resetMetrics()

  - ### getZoneStatus

    public ZoneReencryptionStatus getZoneStatus(Long zondId)

  - ### markZoneForRetry

    public void markZoneForRetry(Long zoneId)

  - ### markZoneStarted

    public void markZoneStarted(Long zoneId)

  - ### markZoneCompleted

    public void markZoneCompleted(Long zoneId)

  - ### getNextUnprocessedZone

    public Long getNextUnprocessedZone()

  - ### hasRunningZone

    public boolean hasRunningZone(Long zoneId)

  - ### updateZoneStatus

    public void updateZoneStatus(Long zoneId, String zonePath, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ReencryptionInfoProto reProto)

  - ### removeZone

    public boolean removeZone(Long zoneId)

  - ### zonesQueued

    @VisibleForTesting public int zonesQueued()

  - ### zonesTotal

    @VisibleForTesting public int zonesTotal()

  - ### getNumZonesReencrypted

    @VisibleForTesting public long getNumZonesReencrypted()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getZoneStatuses

    public NavigableMap<Long,ZoneReencryptionStatus> getZoneStatuses()